org.apache.ignite.internal.management.kill

## Class SnapshotCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,SnapshotTaskResult,R>
  - - org.apache.ignite.internal.management.snapshot.SnapshotOneNodeTask<SnapshotCancelTask.CancelSnapshotArg,String>
    - - org.apache.ignite.internal.management.kill.SnapshotCancelTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<SnapshotCancelTask.CancelSnapshotArg>,SnapshotTaskResult>

    @GridInternal
    public class SnapshotCancelTask
    extends SnapshotOneNodeTask<SnapshotCancelTask.CancelSnapshotArg,String>

See Also:
  `IgniteSnapshotManager.cancelSnapshotOperation(UUID)`, Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SnapshotCancelTask.CancelSnapshotArg`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<SnapshotCancelTask.CancelSnapshotArg,String>` `job(SnapshotCancelTask.CancelSnapshotArg arg)`

### Methods inherited from class org.apache.ignite.internal.management.snapshot.SnapshotOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotCancelTask

    public SnapshotCancelTask()

### Method Detail

#### job

    protected VisorJob<SnapshotCancelTask.CancelSnapshotArg,String> job(SnapshotCancelTask.CancelSnapshotArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<SnapshotCancelTask.CancelSnapshotArg,SnapshotTaskResult,String>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023